package com.ruoyi.dxp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 外部用户对象 sys_user_company
 * 
 * @author jy
 * @date 2022-11-07
 */
public class UserCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 关联sys_user */
    private Long userId;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String companyName;

    /** 联系人 */
    @Excel(name = "联系人")
    private String linkMan;

    /** 统一信用代码 */
    @Excel(name = "统一信用代码")
    private String unifiedCode;

    /** 地址 */
    private String address;

    /** 营业执照地址 */
    private String licenseUrl;

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setLinkMan(String linkMan) 
    {
        this.linkMan = linkMan;
    }

    public String getLinkMan() 
    {
        return linkMan;
    }
    public void setUnifiedCode(String unifiedCode) 
    {
        this.unifiedCode = unifiedCode;
    }

    public String getUnifiedCode() 
    {
        return unifiedCode;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setLicenseUrl(String licenseUrl) 
    {
        this.licenseUrl = licenseUrl;
    }

    public String getLicenseUrl() 
    {
        return licenseUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("companyName", getCompanyName())
            .append("linkMan", getLinkMan())
            .append("unifiedCode", getUnifiedCode())
            .append("address", getAddress())
            .append("licenseUrl", getLicenseUrl())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
